Bug 1498908 - openshift-installer image should support an inventory directory in addition to flat files.
Summary: openshift-installer image should support an inventory directory in addition t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Luke Meyer
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-05 14:17 UTC by Eric Sauer
Modified: 2017-11-28 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Enable installer to use an inventory specified as a directory rather than just a single file. Reason: Customers with production clusters often find it easier to manage their inventory as multiple files in a directory. Result: This adds a parameter INVENTORY_DIR to the openshift-ansible image such that the user can indicate that ansible-playbook should use a mounted inventory directory.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:15:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Eric Sauer 2017-10-05 14:17:56 UTC
Description of problem:

The current ose-ansible (or origin-ansible) image only supports passing a single file to -i like `ansible-playbook -i /path/to/hosts playbook.yml`. This prevents a user from any kind of more advanced usage of ansible inventories, such as a hybrid dynamic/static style inventory, which is becoming fairly common in the field.

I would like to add support for an INVENTORY_DIR variable that handles a directory instead of a single file.

Additional info:
Pull request addressing feature: https://github.com/openshift/openshift-ansible/pull/5644

Comment 1 Eric Sauer 2017-10-05 14:52:28 UTC
Here's a test of the PR to show that it works: http://pastebin.test.redhat.com/522141

Comment 3 Wenkai Shi 2017-10-19 10:03:49 UTC
Verified with ose-ansible image tag v3.6.173.0.56-1(f4b5ddbbde9b), it's support INVENTORY_DIR variable now.

Comment 6 errata-xmlrpc 2017-11-28 22:15:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.